Skip to main content

Update Deal

Update an existing deal record.

Endpoint

PUT/PATCHhttps://crm.twozo.io/rest/api/v1/deal/{id}
Request Body
{  
  "title": "demo purpose10",  
  "pipeline": 70401,  
  "pipeline_stage": 109753,  
  "primary_contact": 1174909,  
  "sales_owner": 71201,  
  "related_contacts": 1174910,  
  "company": 120783,  
  "deal_value": {  
    "currency": 3,  
    "value": 1.2345678901234568E12,  
    "product": 33554481  
  },  
  "source": 10321825,  
  "territory": 63064,  
  "rotting_days": 12,  
  "age": 21,  
  "won_time": "2026-07-01T12:55:00Z",  
  "lost_time": "2026-07-01T12:55:00Z",  
  "weighted_value": {  
    "currency": 3,  
    "value": 1.2345678901234568E12  
  },  
  "expected_deal_value": {  
    "currency": 3,  
    "value": 1.2345678901234568E12  
  },  
  "product_amount": {  
    "currency": 3,  
    "value": 1.2345678901234568E12  
  },  
  "stage_probability": 212,  
  "tags": [  
    65316  
  ],  
  "description": "demo purpose",  
  "type": 10322557,  
  "payment_status": 10322558  
}
Response
{
  "code": 0,
  "data": {
    "updatedRecords": [1178142]
  }
}